# org.apache.ignite.internal.processors.cache.distributed.dht.topology

## Interfaces

- EvictionContext
- GridDhtPartitionTopology

## Classes

- GridClientPartitionTopology
- GridDhtLocalPartition
- GridDhtPartitionsReservation
- GridDhtPartitionsStateValidator
- GridDhtPartitionTopologyImpl
- PartitionsEvictManager

## Enums

- GridDhtPartitionState

## Exceptions

- GridDhtInvalidPartitionException